Chelabase
ManagementBranches

Create a branch

POST
/v1/databases/{id}/branches

Branches from parent_branch_id (main when omitted), at at (the parent's present when omitted).

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Database id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

at?||null
name*string
parent_branch_id?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/databases/497f6eca-6276-4993-bfeb-53cbbbba6f08/branches" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "branched_at_lsn": "string",  "branched_at_time": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "error": "string",  "guard_logins": true,  "history_start": "2019-08-24T14:15:22Z",  "host": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "normal",  "main_database_missing": true,  "name": "string",  "parent_branch_id": "3db5a2a4-2ef3-448e-8466-d96ce9d42581",  "port": 0,  "protected": true,  "review_acknowledged_hash": "string",  "status": "pending"}